Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt
Class QSignalEmitter.AbstractSignal

    java.lang.Object
      com.trolltech.qt.internal.QSignalEmitterInternal.AbstractSignalInternal
          com.trolltech.qt.QSignalEmitter.AbstractSignal

Direct Known Subclasses:
  QSignalEmitter.Signal0, QSignalEmitter.Signal1, QSignalEmitter.Signal2, QSignalEmitter.Signal3, QSignalEmitter.Signal4, QSignalEmitter.Signal5, QSignalEmitter.Signal6, QSignalEmitter.Signal7, QSignalEmitter.Signal8, QSignalEmitter.Signal9

Enclosing class:
  QSignalEmitter

    public abstract class QSignalEmitter.AbstractSignal

extends com.trolltech.qt.internal.QSignalEmitterInternal.AbstractSignalInternal

Nested Class Summary

Nested classes/interfaces inherited from class com.trolltech.qt.internal.QSignalEmitterInternal.AbstractSignalInternal
`com.trolltech.qt.internal.QSignalEmitterInternal.AbstractSignalInternal.Connection`

Constructor Summary
`QSignalEmitter.AbstractSignal()`

Method Summary
`void` | `connect(java.lang.Object receiver, java.lang.String method)` Creates an auto-connection from this signal to the specified object and method.
`void` | `connect(java.lang.Object receiver, java.lang.String method, Qt.ConnectionType type)` Connects the signal to a method in an object.
`void` | `connect(QSignalEmitter.AbstractSignal signalOut)` Creates an auto connection from this signal to another.
`void` | `connect(QSignalEmitter.AbstractSignal signalOut, Qt.ConnectionType type)` Creates a connection from this signal to another.
`boolean` | `disconnect()` Removes all connections from this signal.
`boolean` | `disconnect(java.lang.Object receiver)` Removes any connection from this signal to the specified receiving object
`boolean` | `disconnect(java.lang.Object receiver, java.lang.String method)` Disconnects the signal from a method in an object if the two were previously connected by a call to connect.
`boolean` | `disconnect(QSignalEmitter.AbstractSignal signalOut)` Disconnects a signal from another signal if the two were previously connected by a call to connect.

Methods inherited from class com.trolltech.qt.internal.QSignalEmitterInternal.AbstractSignalInternal
`connectSignalMethod, containingObject, declaringClassName, emit_helper, fullName, name, removeConnection`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QSignalEmitter.AbstractSignal

    public QSignalEmitter.AbstractSignal()

Method Detail

### connect

    public final void connect(java.lang.Object receiver,
                              java.lang.String method,
                              Qt.ConnectionType type)

  Connects the signal to a method in an object. Whenever it is emitted, the method will be invoked on the given object.

  Parameters:
    `receiver` - The object that owns the method
    `method` - The signature of the method excluding return type and argument names, such as "setText(String)".
    `type` - One of the connection types defined in the Qt interface.
  Throws:
    `QNoSuchSlotException` - Raised if the method passed in the slot object was not found
    `java.lang.RuntimeException` - Raised if the signal object could not be successfully introspected or if the signatures of the signal and slot are incompatible.

### disconnect

    public final boolean disconnect(java.lang.Object receiver,
                                    java.lang.String method)

  Disconnects the signal from a method in an object if the two were previously connected by a call to connect.

  Parameters:
    `receiver` - The object to which the signal is connected
    `method` - The method in the receiver object to which the signal is connected
  Returns:
    true if the connection was successfully removed, otherwise false. The method will return false if the connection has not been previously established by a call to connect.
  Throws:
    `QNoSuchSlotException` - Raised if the method passed in the slot object was not found

### disconnect

    public final boolean disconnect(java.lang.Object receiver)

  Removes any connection from this signal to the specified receiving object

  Parameters:
    `receiver` - The object to which the signal has connections
  Returns:
    true if any connection was successfully removed, otherwise false. The method will return false if no connection has previously been establish to the receiver.
  See Also:
    `QSignalEmitter.AbstractSignal.disconnect(Object, String)`

### disconnect

    public final boolean disconnect()

  Removes all connections from this signal.

  Returns:
    True if the disconnection was successful.
  See Also:
    `QSignalEmitter.AbstractSignal.disconnect(Object, String)`

### connect

    public final void connect(java.lang.Object receiver,
                              java.lang.String method)

  Creates an auto-connection from this signal to the specified object and method.

  Parameters:
    `receiver` - The object that owns the method
    `method` - The signature of the method excluding return type and argument names, such as "setText(String)".
  See Also:
    `QSignalEmitter.AbstractSignal.connect(Object, String, com.trolltech.qt.core.Qt.ConnectionType)`

### connect

    public final void connect(QSignalEmitter.AbstractSignal signalOut)

  Creates an auto connection from this signal to another. Whenever this signal is emitted, it will cause the second signal to be emitted as well.

  Parameters:
    `signalOut` - The second signal. This will be emitted whenever this signal is emitted.
  Throws:
    `java.lang.RuntimeException` - Raised if either of the signal objects could not be successfully be introspected or if their signatures are incompatible.

### connect

    public final void connect(QSignalEmitter.AbstractSignal signalOut,
                              Qt.ConnectionType type)

  Creates a connection from this signal to another. Whenever this signal is emitted, it will cause the second signal to be emitted as well.

  Parameters:
    `signalOut` - The second signal. This will be emitted whenever this signal is emitted.
    `type` - One of the connection types defined in the Qt interface.
  Throws:
    `java.lang.RuntimeException` - Raised if either of the signal objects could not be successfully be introspected or if their signatures are incompatible.

### disconnect

    public final boolean disconnect(QSignalEmitter.AbstractSignal signalOut)

  Disconnects a signal from another signal if the two were previously connected by a call to connect. A call to this function will assure that the emission of the first signal will not cause the emission of the second.

  Parameters:
    `signalOut` - The second signal.
  Returns:
    true if the two signals were successfully disconnected, or false otherwise.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD